include:
  - 'https://gitlab.com/studieverenigingvia/ict/templates/raw/master/image.gitlab-ci.yml'
  - 'https://gitlab.com/studieverenigingvia/ict/templates/raw/master/helm.gitlab-ci.yml'

variables:
  BUILD_ID: build-${CI_PIPELINE_IID}
  BUILD_IMAGE: ${CI_REGISTRY_IMAGE}:${BUILD_ID}
  IMAGE_TAG: release-${CI_PIPELINE_IID}
  CHART: wisoweb
  NAMESPACE: via

stages:
- build
- lint
- tag
- release

build_image:
  stage: build
  needs: [ ]
  extends: .image-build

lint_helm:
  stage: lint
  extends: .helm-lint

tag_image:
  stage: tag
  extends: .image-tag
  variables:
    TAG: ${IMAGE_TAG}

release_production:
  stage: release
  extends: .helm-upgrade

  environment:
    name: production
    url: https://wisoweb.nl
  only:
    refs:
      - master
  when: manual
  allow_failure: false
